from korpus.messung import Messung


class Bewegung:

    def __init__(self, name, messungen: list[Messung], anzahl, zeit):
        self.name = name
        self.messungen = messungen
        self.anzahl = anzahl
        self.zeit = zeit

    def get_characterisation(self):
        result = f"Typ: {self.name}\n"
        result += f"Anzahl an Messwertreihen: {len(self.messungen)}\n"
        result += f"Anzahl Messungen: {self.anzahl}\n"
        result += f"Messzeit: {self.zeit} Sekunden\n\n"

        for messung in self.messungen:
            result += "\n" + messung.get_characterisation()

        return result
